Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.map
Class LatLonPoint

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.map.LatLonPoint

All Implemented Interfaces:
  MapProviders

    public class LatLonPoint

extends JsObject
implements MapProviders

LatLonPoint is a point containing a latitude and longitude.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`LatLonPoint(double lat, double lon)` Create a new LatLonPoint.
`LatLonPoint(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`double` | `distance(LatLonPoint otherPoint)` The distance in kilometers between two points.
`boolean` | `equals(java.lang.Object o)`
`double` | `getLat()`
`double` | `getLon()`
`static LatLonPoint` | `instance(com.google.gwt.core.client.JavaScriptObject jsObj)`
`com.google.gwt.core.client.JavaScriptObject` | `toFreeEarth()` A FreeEarth point.
`com.google.gwt.core.client.JavaScriptObject` | `toGoogle()` A Google Maps point.
`com.google.gwt.core.client.JavaScriptObject` | `toMap24()` A Map24 point.
`com.google.gwt.core.client.JavaScriptObject` | `toMapQuest()` A MapQuest point.
`com.google.gwt.core.client.JavaScriptObject` | `toMicrosoft()` A Microsoft Virtual Earth point.
`com.google.gwt.core.client.JavaScriptObject` | `toMultiMap()` A MultiMap point.
`com.google.gwt.core.client.JavaScriptObject` | `toOpenLayers()` An OpenLayers point.
`java.lang.String` | `toString()`
`com.google.gwt.core.client.JavaScriptObject` | `toYahoo()` A Yahoo point.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LatLonPoint

    public LatLonPoint(double lat,
                       double lon)

  Create a new LatLonPoint.

  Parameters:
    `lat` - the latitude
    `lon` - the longitude

### LatLonPoint

    public LatLonPoint(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### instance

    public static LatLonPoint instance(com.google.gwt.core.client.JavaScriptObject jsObj)

### distance

    public double distance(LatLonPoint otherPoint)

  The distance in kilometers between two points.

  Parameters:
    `otherPoint` - the other point
  Returns:
    the distance in kilometers between two points.

### toFreeEarth

    public com.google.gwt.core.client.JavaScriptObject toFreeEarth()

  A FreeEarth point.

  Specified by:
    `toFreeEarth` in interface `MapProviders`
  Returns:
    a FE.LatLng object

### toGoogle

    public com.google.gwt.core.client.JavaScriptObject toGoogle()

  A Google Maps point.

  Specified by:
    `toGoogle` in interface `MapProviders`
  Returns:
    a GLatLng object

### toMap24

    public com.google.gwt.core.client.JavaScriptObject toMap24()

  A Map24 point.

  Specified by:
    `toMap24` in interface `MapProviders`
  Returns:
    a Map24.Point object

### toMapQuest

    public com.google.gwt.core.client.JavaScriptObject toMapQuest()

  A MapQuest point.

  Returns:
    a MQLatLng object

### toMicrosoft

    public com.google.gwt.core.client.JavaScriptObject toMicrosoft()

  A Microsoft Virtual Earth point.

  Specified by:
    `toMicrosoft` in interface `MapProviders`
  Returns:
    a VELatLong object

### toMultiMap

    public com.google.gwt.core.client.JavaScriptObject toMultiMap()

  A MultiMap point.

  Specified by:
    `toMultiMap` in interface `MapProviders`
  Returns:
    a MMLatLon object

### toOpenLayers

    public com.google.gwt.core.client.JavaScriptObject toOpenLayers()

  An OpenLayers point.

  Specified by:
    `toOpenLayers` in interface `MapProviders`
  Returns:
    a OpenLayers.LonLat object

### toYahoo

    public com.google.gwt.core.client.JavaScriptObject toYahoo()

  A Yahoo point.

  Specified by:
    `toYahoo` in interface `MapProviders`
  Returns:
    a YGeoPoint object

### getLat

    public double getLat()

### getLon

    public double getLon()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD